---
layout: default
title: InputSource
description: What type of device is the source of the pointer? This is a bit-flag that can contain some input source family information.
---
# InputSource

What type of device is the source of the pointer? This is a bit-flag that can
contain some input source family information.


## Fields and Properties

|  |  |
|--|--|
|[InputSource]({{site.url}}/Pages/Reference/InputSource.html) [Any]({{site.url}}/Pages/Reference/InputSource/Any.html)|Matches with all input sources!|
|[InputSource]({{site.url}}/Pages/Reference/InputSource.html) [CanPress]({{site.url}}/Pages/Reference/InputSource/CanPress.html)|Matches with any input source that has an activation button!|
|[InputSource]({{site.url}}/Pages/Reference/InputSource.html) [Gaze]({{site.url}}/Pages/Reference/InputSource/Gaze.html)|Matches with Gaze category input sources.|
|[InputSource]({{site.url}}/Pages/Reference/InputSource.html) [GazeCursor]({{site.url}}/Pages/Reference/InputSource/GazeCursor.html)|Matches with mouse cursor simulated gaze as an input source.|
|[InputSource]({{site.url}}/Pages/Reference/InputSource.html) [GazeEyes]({{site.url}}/Pages/Reference/InputSource/GazeEyes.html)|Matches with the eye gaze input source.|
|[InputSource]({{site.url}}/Pages/Reference/InputSource.html) [GazeHead]({{site.url}}/Pages/Reference/InputSource/GazeHead.html)|Matches with the head gaze input source.|
|[InputSource]({{site.url}}/Pages/Reference/InputSource.html) [Hand]({{site.url}}/Pages/Reference/InputSource/Hand.html)|Matches with any hand input source.|
|[InputSource]({{site.url}}/Pages/Reference/InputSource.html) [HandLeft]({{site.url}}/Pages/Reference/InputSource/HandLeft.html)|Matches with left hand input sources.|
|[InputSource]({{site.url}}/Pages/Reference/InputSource.html) [HandRight]({{site.url}}/Pages/Reference/InputSource/HandRight.html)|Matches with right hand input sources.|



